=== debian/changelog ===
ondevice (0.5.1+build16) UNRELEASED; urgency=medium

  * automated build

 -- builduser <user@507df3f216fd>  Thu, 04 Jan 2018 17:06:52 +0000
