## ondevice 0.5.1+build18

=== debian/changelog ===
ondevice (0.5.1+build18) UNRELEASED; urgency=medium

  * automated build

 -- builduser <user@70e28f2a1f36>  Sat, 06 Jan 2018 19:06:00 +0000
